Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.webcontainer.groovy
Class ServletHolderBuilder

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.util.BuilderSupport
              groovy.util.NodeBuilder
                  org.nanocontainer.webcontainer.groovy.ServletHolderBuilder

All Implemented Interfaces:
  groovy.lang.GroovyObject

    public class ServletHolderBuilder

extends groovy.util.NodeBuilder

Constructor Summary
`ServletHolderBuilder(org.mortbay.jetty.servlet.ServletHolder servlet)`

Method Summary
`protected Object` | `createInitParam(Map map)`
`protected Object` | `createNode(Object name, Map map)`

Methods inherited from class groovy.util.NodeBuilder
`createNode, createNode, createNode, getCurrentNode, newInstance, setParent`

Methods inherited from class groovy.util.BuilderSupport
`doInvokeMethod, getCurrent, getName, invokeMethod, invokeMethod, nodeCompleted, postNodeCompletion, setClosureDelegate, setCurrent`

Methods inherited from class groovy.lang.GroovyObjectSupport
`getMetaClass, getProperty, setMetaClass, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletHolderBuilder

    public ServletHolderBuilder(org.mortbay.jetty.servlet.ServletHolder servlet)

Method Detail

### createNode

    protected Object createNode(Object name,
                                Map map)

  Overrides:
    `createNode` in class `groovy.util.NodeBuilder`

### createInitParam

    protected Object createInitParam(Map map)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.